Additional operations
Assert a relationship
Assert a relationship
curl --request POST \
--url https://api.atlan.com/registry/v1/artifacts/{artifact_kind}/{artifact_id}/relationships \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rel_type": "<string>",
"to_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rel_type: '<string>', to_id: '<string>'})
};
fetch('https://api.atlan.com/registry/v1/artifacts/{artifact_kind}/{artifact_id}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/artifacts/{artifact_kind}/{artifact_id}/relationships"
payload = {
"rel_type": "<string>",
"to_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"direction": "<string>",
"provenance": "<string>",
"rel_type": "<string>",
"relationship_status": "<string>",
"attributes": {},
"confidence": 123,
"from": {
"id": "<string>",
"is_readable": true,
"kind": "<string>"
},
"label": "<string>",
"role": "<string>",
"to": {
"id": "<string>",
"is_readable": true,
"kind": "<string>"
},
"weight": 123
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unprocessable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
Response
HTTP 201 response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Assert a relationship
curl --request POST \
--url https://api.atlan.com/registry/v1/artifacts/{artifact_kind}/{artifact_id}/relationships \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rel_type": "<string>",
"to_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rel_type: '<string>', to_id: '<string>'})
};
fetch('https://api.atlan.com/registry/v1/artifacts/{artifact_kind}/{artifact_id}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/artifacts/{artifact_kind}/{artifact_id}/relationships"
payload = {
"rel_type": "<string>",
"to_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"direction": "<string>",
"provenance": "<string>",
"rel_type": "<string>",
"relationship_status": "<string>",
"attributes": {},
"confidence": 123,
"from": {
"id": "<string>",
"is_readable": true,
"kind": "<string>"
},
"label": "<string>",
"role": "<string>",
"to": {
"id": "<string>",
"is_readable": true,
"kind": "<string>"
},
"weight": 123
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unprocessable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}